Loading...
Searching...
No Matches
rpcpmtconverter::To_PMT Class Reference

`#include <gnuradio/rpcpmtconverters_thrift.h>`

## Public Member Functions

| To_PMT (const To_PMT &)=delete
To_PMT & | operator= (const To_PMT &)=delete
pmt::pmt_t | operator() (const GNURadio::Knob &knob)

## Static Public Attributes

static To_PMT | instance

## Protected Attributes

std::map< GNURadio::BaseTypes::type, std::unique_ptr< to_pmt_f > > | to_pmt_map

## Friends

template<typename TO_PMT_F>
struct | to_pmt_reg

## Constructor & Destructor Documentation

## To_PMT()

rpcpmtconverter::To_PMT::To_PMT | ( | const To_PMT & |  | ) |

delete

References To_PMT().

Referenced by operator=(), and To_PMT().

## Member Function Documentation

## operator()()

pmt::pmt_t rpcpmtconverter::To_PMT::operator() | ( | const GNURadio::Knob & | knob | ) |

## operator=()

To_PMT & rpcpmtconverter::To_PMT::operator= | ( | const To_PMT & |  | ) |

delete

References To_PMT().

## Friends And Related Symbol Documentation

## to_pmt_reg

template<typename TO_PMT_F>

friend struct to_pmt_reg

friend

References to_pmt_reg.

Referenced by to_pmt_reg.

## Member Data Documentation

## instance

To_PMT rpcpmtconverter::To_PMT::instance

static

## to_pmt_map

std::map<GNURadio::BaseTypes::type, std::unique_ptr<to_pmt_f> > rpcpmtconverter::To_PMT::to_pmt_map

protected

The documentation for this class was generated from the following file:

- rpcpmtconverters_thrift.h